package org.springblade.person.feign;

import org.springblade.person.entity.Psychiatric;
import org.springblade.person.vo.PsychiatricVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class PsychiatricClientFallback implements IPsychiatricClient {
            /**
         * 详情
         */
        @Override
        public PsychiatricVO detail(Psychiatric psychiatric) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<PsychiatricVO> list(Psychiatric psychiatric) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Psychiatric psychiatric) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Psychiatric psychiatric) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Psychiatric psychiatric) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
